package com.ruoyi.system.domain.to;

import javax.validation.constraints.NotBlank;
import java.util.StringJoiner;

/**
 * @ClassName: AMapUpdatePolyLineTo
 * @Author: 于学智
 * @Description: 高德地图更新线形围栏TO
 * @CreateDate: 2023/9/14 16:19
 * @Version: 1.0
 * @E-mail:18722650553@139.com
 * @Link:https://github.com/18722650553
 */
public class AMapUpdatePolyLineTo extends AMapBaseTo {

    /**
     * 多边形顶点坐标 格式 X1,Y1;X2,Y2; 必填
     */
    @NotBlank(message = "围栏中心点坐标禁止为空！")
    private String points;

    /**
     * 沿线偏移距离 单位：米 取值范围 [1，300] 必填
     */
    @NotBlank(message = "围栏中心点坐标禁止为空！")
    private String bufferradius;

    public String getPoints() {
        return points;
    }

    public void setPoints(String points) {
        this.points = points;
    }

    public String getBufferradius() {
        return bufferradius;
    }

    public void setBufferradius(String bufferradius) {
        this.bufferradius = bufferradius;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", AMapUpdatePolyLineTo.class.getSimpleName() + "[", "]")
                .add("points='" + points + "'")
                .add("bufferradius='" + bufferradius + "'")
                .toString();
    }
}
